#### D.12.2.49 naccache_stern_decryption

Procedure from library `crypto.lib` (see crypto_lib).

Usage:
  naccache_stern_decryption(knapsack, key, primenum, message)

Return:
  decrypted binary list

Example:

    LIB "crypto.lib";
    //Please note that the values have been obtained from the example of naccache_stern_generation and naccache_stern_encryption!
    int primenum = 293;
    int message = 9945;
    int key = 5;
    list hardknapsack = 85,164,117,44;
    naccache_stern_decryption(hardknapsack,key,primenum,message);
    ==> [1]:
    ==>    1
    ==> [2]:
    ==>    0
    ==> [3]:
    ==>    1
    ==> [4]:
    ==>    0

User manual for Singular version 4.4.1, 2025, generated by texi2html.